import { Injectable } from '@angular/core';
import { HttpClient } from "@angular/common/http";
import { AppConfig } from "../shared/app.config";
import { Observable } from 'rxjs';
import { IMolliePaymentResponse } from '../models/mollie.payment.response';
import { IMolliePaymentRequest } from '../models/mollie.payment.request';

@Injectable({
  providedIn: 'root',
})

export class MollieService {
    constructor(
        public httpClient: HttpClient,
        public appConfig: AppConfig) {
    }

    ApiEndpoint() {
        return this.appConfig.getConfig("apiEndPoint");
    }
    
    createMolliePayment(paymentRequest: IMolliePaymentRequest): Observable<IMolliePaymentResponse> {
        return this.httpClient.post<IMolliePaymentResponse>(
            `${this.ApiEndpoint()}/api/v1/payments/create`,
            paymentRequest);
    } 
}